Return Manual Order move capabilities for a persisted Lookup table.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://example.com/api/workspace/entity/example/ui/form/example/items/example/lookup-table/move-options"), Headers = { { "Authorization", "Bearer <token>" }, }, Content = new StringContent("{ \"MovedInstanceId\": \"example\", \"ExpectedLookupFormSurfaceRowVersion\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/entity/example/ui/form/example/items/example/lookup-table/move-options';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"MovedInstanceId":"example","ExpectedLookupFormSurfaceRowVersion":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/workspace/entity/example/ui/form/example/items/example/lookup-table/move-options \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "MovedInstanceId": "example", "ExpectedLookupFormSurfaceRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Query Parameters
Section titled “Query Parameters”Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Request Body
Section titled “Request Body”Lookup-host move-options request with the saved Form revision from bootstrap.
object
Entity Instance whose move capabilities are requested.
Expected saved Form Surface revision that owns the Lookup item.
Examplegenerated
{ "MovedInstanceId": "example", "ExpectedLookupFormSurfaceRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Lookup-host move-options request with the saved Form revision from bootstrap.
object
Entity Instance whose move capabilities are requested.
Expected saved Form Surface revision that owns the Lookup item.
Examplegenerated
{ "MovedInstanceId": "example", "ExpectedLookupFormSurfaceRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Lookup-host move-options request with the saved Form revision from bootstrap.
object
Entity Instance whose move capabilities are requested.
Expected saved Form Surface revision that owns the Lookup item.
Examplegenerated
{ "MovedInstanceId": "example", "ExpectedLookupFormSurfaceRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Responses
Section titled “Responses”OK
object
Coarse actor- and surface-bound Manual Order move capabilities for one instance.
object
Entity Instance identifier.
Current Entity Instance concurrency token.
Resolved Table Surface identifier.
Current Table Surface concurrency token.
Whether rank-only movement may be attempted.
Whether Parent-changing movement may be attempted.
Whether movement to the root level may be attempted.
Access-safe localized reasons for disabled capabilities.
object
object
object
object
object
object
Example
{ "Data": { "DisabledReasons": [ { "Type": 0, "Severity": 0 } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Bad Request
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Forbidden
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Conflict
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Service Unavailable